## org.eclipse.xsd.ecore.importer.ui
Class XSDImporterWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard
              org.eclipse.emf.importer.ui.contribution.base.ModelImporterWizard
                  org.eclipse.xsd.ecore.importer.ui.XSDImporterWizard

All Implemented Interfaces:
  IModelImporterWizard, IWizard, INewWizard, IWorkbenchWizard

    public class XSDImporterWizard

extends ModelImporterWizard

Since:
  2.1.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard
`ModelConverterWizard.PageHelper`

Field Summary

Fields inherited from class org.eclipse.emf.importer.ui.contribution.base.ModelImporterWizard
`fileName, genModelContainerPath, modelFile, originalGenModelFile, projectLocation, projectPath`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard
`diagnosticHandler, doPerformFinishDiagnostic, modelConverter, pageHelper, selection, workbench`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`XSDImporterWizard()`

Method Summary
`void` `addPages()`
`protected ModelConverter` `createModelConverter()`

Methods inherited from class org.eclipse.emf.importer.ui.contribution.base.ModelImporterWizard
`doPerformFinish, getFileExtensions, getGenModelContainerPath, getGenModelFileName, getGenModelProjectLocation, getGenModelProjectPath, getModelFile, getModelImporter, getOriginalGenModelFile, performFinish, setGenModelContainerPath, setGenModelFileName, setGenModelProjectLocation, setGenModelProjectPath, setModelFile, setOriginalGenModelFile`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard
`dispose, getFile, getModelConverter, getSelection, getWorkbench, handleConvertDiagnostic, init, openEditor, performCancel, selectFile, setContainer`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchWizard
`init`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### XSDImporterWizard

    public XSDImporterWizard()

Method Detail

### createModelConverter

    protected ModelConverter createModelConverter()

  Specified by:
    `createModelConverter` in class `ModelConverterWizard`

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `IWizard`
  Overrides:
    `addPages` in class `Wizard`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.